Translations
Replace a Study translation
Replaces the entire translation for a locale.
PUT
/
v2
/
studies
/
{studyId}
/
translations
/
{locale}
Replace a Study translation
curl --request PUT \
--url https://api.sprig.com/v2/studies/{studyId}/translations/{locale} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
]
}
'import requests
url = "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
payload = { "questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
] }
headers = {
"If-Match": "<if-match>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'If-Match': '<if-match>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
questions: [
{
question: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'},
options: [{value: '<string>', label: '<string>'}],
columns: [{value: '<string>', label: '<string>'}],
lowEndLabel: '<string>',
highEndLabel: '<string>',
buttonLabel: '<string>',
skipButtonLabel: '<string>',
inputTextPlaceholder: '<string>',
validationErrorMessage: '<string>',
dropdownPlaceholder: '<string>',
dropdownMultiselectText: '<string>',
otherOptionPlaceholder: '<string>',
noneOptionLabel: '<string>',
checkboxText: '<string>'
}
]
})
};
fetch('https://api.sprig.com/v2/studies/{studyId}/translations/{locale}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'questions' => [
[
'question' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>'
],
'options' => [
[
'value' => '<string>',
'label' => '<string>'
]
],
'columns' => [
[
'value' => '<string>',
'label' => '<string>'
]
],
'lowEndLabel' => '<string>',
'highEndLabel' => '<string>',
'buttonLabel' => '<string>',
'skipButtonLabel' => '<string>',
'inputTextPlaceholder' => '<string>',
'validationErrorMessage' => '<string>',
'dropdownPlaceholder' => '<string>',
'dropdownMultiselectText' => '<string>',
'otherOptionPlaceholder' => '<string>',
'noneOptionLabel' => '<string>',
'checkboxText' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
payload := strings.NewReader("{\n \"questions\": [\n {\n \"question\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n },\n \"options\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"columns\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"lowEndLabel\": \"<string>\",\n \"highEndLabel\": \"<string>\",\n \"buttonLabel\": \"<string>\",\n \"skipButtonLabel\": \"<string>\",\n \"inputTextPlaceholder\": \"<string>\",\n \"validationErrorMessage\": \"<string>\",\n \"dropdownPlaceholder\": \"<string>\",\n \"dropdownMultiselectText\": \"<string>\",\n \"otherOptionPlaceholder\": \"<string>\",\n \"noneOptionLabel\": \"<string>\",\n \"checkboxText\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
.header("If-Match", "<if-match>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"questions\": [\n {\n \"question\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n },\n \"options\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"columns\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"lowEndLabel\": \"<string>\",\n \"highEndLabel\": \"<string>\",\n \"buttonLabel\": \"<string>\",\n \"skipButtonLabel\": \"<string>\",\n \"inputTextPlaceholder\": \"<string>\",\n \"validationErrorMessage\": \"<string>\",\n \"dropdownPlaceholder\": \"<string>\",\n \"dropdownMultiselectText\": \"<string>\",\n \"otherOptionPlaceholder\": \"<string>\",\n \"noneOptionLabel\": \"<string>\",\n \"checkboxText\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["If-Match"] = '<if-match>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"questions\": [\n {\n \"question\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n },\n \"options\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"columns\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"lowEndLabel\": \"<string>\",\n \"highEndLabel\": \"<string>\",\n \"buttonLabel\": \"<string>\",\n \"skipButtonLabel\": \"<string>\",\n \"inputTextPlaceholder\": \"<string>\",\n \"validationErrorMessage\": \"<string>\",\n \"dropdownPlaceholder\": \"<string>\",\n \"dropdownMultiselectText\": \"<string>\",\n \"otherOptionPlaceholder\": \"<string>\",\n \"noneOptionLabel\": \"<string>\",\n \"checkboxText\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"locale": "<string>",
"questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"title": {
"html": "<string>",
"variables": {}
},
"description": {
"html": "<string>",
"variables": {}
},
"footer": {
"html": "<string>",
"variables": {}
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}Authorizations
Use API-Key YOUR_API_KEY. The key selects the Production or Development environment.
Headers
Quoted Study version last read from ETag or Study.version. Required on mutating Study writes.
Example:
"\"126300\""
Path Parameters
One BCP 47 locale token.
Required string length:
2 - 35Pattern:
^[A-Za-z]{2,3}(?:-[A-Za-z0-9]{2,8})*$Body
application/json
The complete translated representation for one Study locale.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Replace a Study translation
curl --request PUT \
--url https://api.sprig.com/v2/studies/{studyId}/translations/{locale} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--header 'If-Match: <if-match>' \
--data '
{
"questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
]
}
'import requests
url = "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
payload = { "questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
] }
headers = {
"If-Match": "<if-match>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'If-Match': '<if-match>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
questions: [
{
question: {id: '3c90c3cc-0d44-4b50-8888-8dd25736052a', name: '<string>'},
options: [{value: '<string>', label: '<string>'}],
columns: [{value: '<string>', label: '<string>'}],
lowEndLabel: '<string>',
highEndLabel: '<string>',
buttonLabel: '<string>',
skipButtonLabel: '<string>',
inputTextPlaceholder: '<string>',
validationErrorMessage: '<string>',
dropdownPlaceholder: '<string>',
dropdownMultiselectText: '<string>',
otherOptionPlaceholder: '<string>',
noneOptionLabel: '<string>',
checkboxText: '<string>'
}
]
})
};
fetch('https://api.sprig.com/v2/studies/{studyId}/translations/{locale}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'questions' => [
[
'question' => [
'id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'name' => '<string>'
],
'options' => [
[
'value' => '<string>',
'label' => '<string>'
]
],
'columns' => [
[
'value' => '<string>',
'label' => '<string>'
]
],
'lowEndLabel' => '<string>',
'highEndLabel' => '<string>',
'buttonLabel' => '<string>',
'skipButtonLabel' => '<string>',
'inputTextPlaceholder' => '<string>',
'validationErrorMessage' => '<string>',
'dropdownPlaceholder' => '<string>',
'dropdownMultiselectText' => '<string>',
'otherOptionPlaceholder' => '<string>',
'noneOptionLabel' => '<string>',
'checkboxText' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json",
"If-Match: <if-match>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sprig.com/v2/studies/{studyId}/translations/{locale}"
payload := strings.NewReader("{\n \"questions\": [\n {\n \"question\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n },\n \"options\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"columns\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"lowEndLabel\": \"<string>\",\n \"highEndLabel\": \"<string>\",\n \"buttonLabel\": \"<string>\",\n \"skipButtonLabel\": \"<string>\",\n \"inputTextPlaceholder\": \"<string>\",\n \"validationErrorMessage\": \"<string>\",\n \"dropdownPlaceholder\": \"<string>\",\n \"dropdownMultiselectText\": \"<string>\",\n \"otherOptionPlaceholder\": \"<string>\",\n \"noneOptionLabel\": \"<string>\",\n \"checkboxText\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("If-Match", "<if-match>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
.header("If-Match", "<if-match>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"questions\": [\n {\n \"question\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n },\n \"options\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"columns\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"lowEndLabel\": \"<string>\",\n \"highEndLabel\": \"<string>\",\n \"buttonLabel\": \"<string>\",\n \"skipButtonLabel\": \"<string>\",\n \"inputTextPlaceholder\": \"<string>\",\n \"validationErrorMessage\": \"<string>\",\n \"dropdownPlaceholder\": \"<string>\",\n \"dropdownMultiselectText\": \"<string>\",\n \"otherOptionPlaceholder\": \"<string>\",\n \"noneOptionLabel\": \"<string>\",\n \"checkboxText\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sprig.com/v2/studies/{studyId}/translations/{locale}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["If-Match"] = '<if-match>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"questions\": [\n {\n \"question\": {\n \"id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"name\": \"<string>\"\n },\n \"options\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"columns\": [\n {\n \"value\": \"<string>\",\n \"label\": \"<string>\"\n }\n ],\n \"lowEndLabel\": \"<string>\",\n \"highEndLabel\": \"<string>\",\n \"buttonLabel\": \"<string>\",\n \"skipButtonLabel\": \"<string>\",\n \"inputTextPlaceholder\": \"<string>\",\n \"validationErrorMessage\": \"<string>\",\n \"dropdownPlaceholder\": \"<string>\",\n \"dropdownMultiselectText\": \"<string>\",\n \"otherOptionPlaceholder\": \"<string>\",\n \"noneOptionLabel\": \"<string>\",\n \"checkboxText\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"locale": "<string>",
"questions": [
{
"question": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"title": {
"html": "<string>",
"variables": {}
},
"description": {
"html": "<string>",
"variables": {}
},
"footer": {
"html": "<string>",
"variables": {}
},
"options": [
{
"value": "<string>",
"label": "<string>"
}
],
"columns": [
{
"value": "<string>",
"label": "<string>"
}
],
"lowEndLabel": "<string>",
"highEndLabel": "<string>",
"buttonLabel": "<string>",
"skipButtonLabel": "<string>",
"inputTextPlaceholder": "<string>",
"validationErrorMessage": "<string>",
"dropdownPlaceholder": "<string>",
"dropdownMultiselectText": "<string>",
"otherOptionPlaceholder": "<string>",
"noneOptionLabel": "<string>",
"checkboxText": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}{
"code": "<string>",
"message": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"path": "<string>",
"resource": {
"type": "<string>",
"id": "<string>"
}
}
]
}